package controller
{
	
	import model.SearchProxy;
	
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	import view.Main;
	import view.MainMediator;
	
	public class ApplicationStartupCmd extends SimpleCommand
	{
		override public function execute(note:INotification):void {
			// register proxy
			trace("register proxy model");
			facade.registerProxy(new SearchProxy());
			
			// register mediator
			trace("register view mediator");
			facade.registerMediator(new MainMediator(note.getBody() as Main));
		}
	}
}