package view
{
	import mx.controls.Alert;
	
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;
	
	public class MainMediator extends Mediator implements IMediator
	{
		public static const NAME:String = "MainMediator";
		
		public function MainMediator(view:Main)
		{
			super(NAME, view);
		}
		
		override public function listNotificationInterests():Array
		{
			return [];
		}
		
		override public function handleNotification(note:INotification):void {
			switch (note.getName())
			{
				default:
					Alert.show("No handler for the notification " + note.getName());
					break;
			}
		}
		
		public function get cView():Main {
			return (viewComponent as Main);
		}
	}
}