package model
{
	public class SearchVO
	{
		private var _title:String;
		private var _summary:String;
		private var _url:String;
		private var _thumbnail:String;
		private var _lon:Number;
		private var _lat:Number;
		
		public function SearchVO(title:String, summary:String, url:String, thumbnail:String, lon:Number, lat:Number):void {
			_title = title; // titre
			_summary = summary; // résumé
			_url = url; // lien sur une page complète wikipedia
			_thumbnail = thumbnail; // lien sur une imagette d'illustration
			_lon = lon; // localisation géographique (longitude)
			_lat = lat; // localisation géographique (latitude)
		}
		
		public function get lat():Number
		{
			return _lat;
		}

		public function set lat(value:Number):void
		{
			_lat = value;
		}

		public function get lon():Number
		{
			return _lon;
		}

		public function set lon(value:Number):void
		{
			_lon = value;
		}

		public function get thumbnail():String
		{
			return _thumbnail;
		}

		public function set thumbnail(value:String):void
		{
			_thumbnail = value;
		}

		public function get url():String
		{
			return _url;
		}

		public function set url(value:String):void
		{
			_url = value;
		}

		public function get summary():String
		{
			return _summary;
		}

		public function set summary(value:String):void
		{
			_summary = value;
		}

		public function get title():String
		{
			return _title;
		}

		public function set title(value:String):void
		{
			_title = value;
		}

	}
}